summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
Diffstat (limited to 'app-forensics')
-rw-r--r--app-forensics/aflplusplus/Manifest2
-rw-r--r--app-forensics/aflplusplus/aflplusplus-3.12c-r3.ebuild98
-rw-r--r--app-forensics/aflplusplus/aflplusplus-3.13c-r1.ebuild98
-rw-r--r--app-forensics/aflplusplus/aflplusplus-3.14c-r2.ebuild (renamed from app-forensics/aflplusplus/aflplusplus-3.14c-r1.ebuild)2
-rw-r--r--app-forensics/aflplusplus/files/aflplusplus-3.0c-CFLAGS.patch110
-rw-r--r--app-forensics/aflplusplus/files/aflplusplus-3.14c-no-ignore-errors-makefile.patch62
-rw-r--r--app-forensics/unhide/Manifest2
-rw-r--r--app-forensics/unhide/unhide-20210124.ebuild (renamed from app-forensics/unhide/unhide-20130526.ebuild)11
8 files changed, 70 insertions, 315 deletions
diff --git a/app-forensics/aflplusplus/Manifest b/app-forensics/aflplusplus/Manifest
index 765f9130b88..b03d0a63851 100644
--- a/app-forensics/aflplusplus/Manifest
+++ b/app-forensics/aflplusplus/Manifest
@@ -1,3 +1 @@
-DIST aflplusplus-3.12c.tar.gz 2065569 BLAKE2B ff7a87eb02f7731b5ce8e1a3016239c6fd1cd1bfeb0b9c0fb69f72bdbf079e7700cdb32abe64f64853e5ff82f1c0ecd86d2cadb892e7c40be6bb2a7b089f7387 SHA512 a814d61298b60d99388289e742dbedf2ed1ab454a5e1ea20d48bb2f18b36c01553ab1f097a06f733439d67e804d48cb823a82ff249c404fb0b83a281564f3040
-DIST aflplusplus-3.13c.tar.gz 2128787 BLAKE2B 40fa65654468dc1de7f6e1b63d2266915a40d145b7cb91b8b95488bc975804f70887bc1c3718fbd12c76872a0126f3bcc36134eb55ef729060b5efcf93dad424 SHA512 916a714deaf67969c9ac6e90bd2d8015a1e5188c8a8122f4d5d64ce4b841822de65458e469a47d4244358fab5e31ef4e52b8ec1432dcbd60d29aedf15e4c36fe
DIST aflplusplus-3.14c.tar.gz 2162934 BLAKE2B 0830b320cea65b9bdd048a08a388c7145164f6b7f4dc140a2f4268a3aa22dc608a771169c830e2196e7a0d543e6f3da49f39736f3b2514c559b986ce929d43c4 SHA512 318607cff40b5f2fc94938747e2ac6b8f400767138eb39edf4daf320afbdab417d0d97a80a1c9db8bb557ad4b7b62f887ae6e692c376f5d5673a493bd23bb811
diff --git a/app-forensics/aflplusplus/aflplusplus-3.12c-r3.ebuild b/app-forensics/aflplusplus/aflplusplus-3.12c-r3.ebuild
deleted file mode 100644
index 2e0c7d30195..00000000000
--- a/app-forensics/aflplusplus/aflplusplus-3.12c-r3.ebuild
+++ /dev/null
@@ -1,98 +0,0 @@
-# Copyright 1999-2021 Gentoo Authors
-# Distributed under the terms of the GNU General Public License v2
-
-EAPI=7
-
-PYTHON_COMPAT=( python3_{7,8,9} )
-LLVM_MAX_SLOT=12
-inherit toolchain-funcs llvm optfeature python-single-r1
-
-DESCRIPTION="A fork of AFL, the popular compile-time instrumentation fuzzer"
-HOMEPAGE="https://github.com/AFLplusplus/AFLplusplus"
-SRC_URI="https://github.com/AFLplusplus/AFLplusplus/archive/${PV}.tar.gz -> ${P}.tar.gz"
-S="${WORKDIR}/AFLplusplus-${PV}"
-
-LICENSE="Apache-2.0"
-SLOT="0"
-KEYWORDS="~amd64 ~arm64"
-IUSE="test"
-
-REQUIRED_USE="${PYTHON_REQUIRED_USE}"
-
-# Tests involve heavy use of LD_PRELOAD in some cases
-# This isn't compatible with sandbox
-RESTRICT="test"
-
-# It turns out we need Clang too
-RDEPEND="
- ${PYTHON_DEPS}
- >=sys-devel/llvm-10:=
- || (
- sys-devel/clang:10
- sys-devel/clang:11
- sys-devel/clang:12
- )
- !app-forensics/afl
-"
-DEPEND="
- ${RDEPEND}
- test? ( dev-util/cmocka )
-"
-
-QA_PREBUILT="/usr/share/afl/testcases/others/elf/small_exec.elf"
-
-PATCHES=(
- "${FILESDIR}/${PN}-3.0c-LDFLAGS.patch"
- "${FILESDIR}/${PN}-3.0c-CFLAGS.patch"
-)
-
-llvm_check_deps() {
- has_version -b "sys-devel/clang:${LLVM_SLOT}" && \
- has_version -b "sys-devel/llvm:${LLVM_SLOT}"
-}
-
-pkg_setup() {
- llvm_pkg_setup
- python-single-r1_pkg_setup
-}
-
-src_prepare() {
- default
-
- sed -i -e 's/-O3 -fno-unroll-loops//' GNUmakefile || die
-}
-
-src_compile() {
- emake \
- CC="$(tc-getCC)" \
- CXX="$(tc-getCXX)" \
- CFLAGS_FLTO="" \
- PREFIX="${EPREFIX}/usr" \
- HELPER_PATH="${EPREFIX}/usr/$(get_libdir)/afl" \
- DOC_PATH="${EPREFIX}/usr/share/doc/${PF}" \
- MAN_PATH="${EPREFIX}/usr/share/man/man8"
-}
-
-src_test() {
- emake \
- CC="$(tc-getCC)" \
- CXX="$(tc-getCXX)"
-}
-
-src_install() {
- emake \
- CC="$(tc-getCC)" \
- CXX="$(tc-getCXX)" \
- DESTDIR="${D}" \
- PREFIX="${EPREFIX}/usr" \
- HELPER_PATH="${EPREFIX}/usr/$(get_libdir)/afl" \
- DOC_PATH="${EPREFIX}/usr/share/doc/${PF}" \
- MAN_PATH="${EPREFIX}/usr/share/man/man8" \
- install
-}
-
-pkg_postinst() {
- # TODO: Any others?
- optfeature "fuzzing with AFL_USE_ASAN" sys-libs/compiler-rt-sanitizers[asan]
- optfeature "fuzzing with AFL_USE_MSAN" sys-libs/compiler-rt-sanitizers[msan]
-}
diff --git a/app-forensics/aflplusplus/aflplusplus-3.13c-r1.ebuild b/app-forensics/aflplusplus/aflplusplus-3.13c-r1.ebuild
deleted file mode 100644
index 3ea62e6bb74..00000000000
--- a/app-forensics/aflplusplus/aflplusplus-3.13c-r1.ebuild
+++ /dev/null
@@ -1,98 +0,0 @@
-# Copyright 1999-2021 Gentoo Authors
-# Distributed under the terms of the GNU General Public License v2
-
-EAPI=7
-
-PYTHON_COMPAT=( python3_{7,8,9} )
-LLVM_MAX_SLOT=12
-inherit toolchain-funcs llvm optfeature python-single-r1
-
-DESCRIPTION="A fork of AFL, the popular compile-time instrumentation fuzzer"
-HOMEPAGE="https://github.com/AFLplusplus/AFLplusplus"
-SRC_URI="https://github.com/AFLplusplus/AFLplusplus/archive/${PV}.tar.gz -> ${P}.tar.gz"
-S="${WORKDIR}/AFLplusplus-${PV}"
-
-LICENSE="Apache-2.0"
-SLOT="0"
-KEYWORDS="amd64 arm64"
-IUSE="test"
-
-REQUIRED_USE="${PYTHON_REQUIRED_USE}"
-
-# Tests involve heavy use of LD_PRELOAD in some cases
-# This isn't compatible with sandbox
-RESTRICT="test"
-
-# It turns out we need Clang too
-RDEPEND="
- ${PYTHON_DEPS}
- >=sys-devel/llvm-10:=
- || (
- sys-devel/clang:10
- sys-devel/clang:11
- sys-devel/clang:12
- )
- !app-forensics/afl
-"
-DEPEND="
- ${RDEPEND}
- test? ( dev-util/cmocka )
-"
-
-QA_PREBUILT="/usr/share/afl/testcases/others/elf/small_exec.elf"
-
-PATCHES=(
- "${FILESDIR}/${PN}-3.0c-LDFLAGS.patch"
- "${FILESDIR}/${PN}-3.13c-CFLAGS.patch"
-)
-
-llvm_check_deps() {
- has_version -b "sys-devel/clang:${LLVM_SLOT}" && \
- has_version -b "sys-devel/llvm:${LLVM_SLOT}"
-}
-
-pkg_setup() {
- llvm_pkg_setup
- python-single-r1_pkg_setup
-}
-
-src_prepare() {
- default
-
- sed -i -e 's/-O3 -fno-unroll-loops//' GNUmakefile || die
-}
-
-src_compile() {
- emake \
- CC="$(tc-getCC)" \
- CXX="$(tc-getCXX)" \
- CFLAGS_FLTO="" \
- PREFIX="${EPREFIX}/usr" \
- HELPER_PATH="${EPREFIX}/usr/$(get_libdir)/afl" \
- DOC_PATH="${EPREFIX}/usr/share/doc/${PF}" \
- MAN_PATH="${EPREFIX}/usr/share/man/man8"
-}
-
-src_test() {
- emake \
- CC="$(tc-getCC)" \
- CXX="$(tc-getCXX)"
-}
-
-src_install() {
- emake \
- CC="$(tc-getCC)" \
- CXX="$(tc-getCXX)" \
- DESTDIR="${D}" \
- PREFIX="${EPREFIX}/usr" \
- HELPER_PATH="${EPREFIX}/usr/$(get_libdir)/afl" \
- DOC_PATH="${EPREFIX}/usr/share/doc/${PF}" \
- MAN_PATH="${EPREFIX}/usr/share/man/man8" \
- install
-}
-
-pkg_postinst() {
- # TODO: Any others?
- optfeature "fuzzing with AFL_USE_ASAN" sys-libs/compiler-rt-sanitizers[asan]
- optfeature "fuzzing with AFL_USE_MSAN" sys-libs/compiler-rt-sanitizers[msan]
-}
diff --git a/app-forensics/aflplusplus/aflplusplus-3.14c-r1.ebuild b/app-forensics/aflplusplus/aflplusplus-3.14c-r2.ebuild
index 74e2f4d3a72..0bae6dec57a 100644
--- a/app-forensics/aflplusplus/aflplusplus-3.14c-r1.ebuild
+++ b/app-forensics/aflplusplus/aflplusplus-3.14c-r2.ebuild
@@ -45,6 +45,7 @@ QA_PREBUILT="/usr/share/afl/testcases/others/elf/small_exec.elf"
PATCHES=(
"${FILESDIR}/${PN}-3.0c-LDFLAGS.patch"
"${FILESDIR}/${PN}-3.13c-CFLAGS.patch"
+ "${FILESDIR}/${PN}-3.14c-no-ignore-errors-makefile.patch"
)
llvm_check_deps() {
@@ -59,7 +60,6 @@ pkg_setup() {
src_prepare() {
default
-
sed -i -e 's/-O3 -fno-unroll-loops//' GNUmakefile || die
}
diff --git a/app-forensics/aflplusplus/files/aflplusplus-3.0c-CFLAGS.patch b/app-forensics/aflplusplus/files/aflplusplus-3.0c-CFLAGS.patch
deleted file mode 100644
index a3477fd7559..00000000000
--- a/app-forensics/aflplusplus/files/aflplusplus-3.0c-CFLAGS.patch
+++ /dev/null
@@ -1,110 +0,0 @@
---- a/GNUmakefile.gcc_plugin
-+++ b/GNUmakefile.gcc_plugin
-@@ -28,14 +28,14 @@ MAN_PATH ?= $(PREFIX)/share/man/man8
-
- VERSION = $(shell grep '^$(HASH)define VERSION ' ./config.h | cut -d '"' -f2)
-
--CFLAGS ?= -O3 -g -funroll-loops -D_FORTIFY_SOURCE=2
-+CFLAGS ?= -D_FORTIFY_SOURCE=2
- CFLAGS_SAFE := -Wall -Iinclude -Wno-pointer-sign \
- -DAFL_PATH=\"$(HELPER_PATH)\" -DBIN_PATH=\"$(BIN_PATH)\" \
- -DGCC_VERSION=\"$(GCCVER)\" -DGCC_BINDIR=\"$(GCCBINDIR)\" \
- -Wno-unused-function
- override CFLAGS += $(CFLAGS_SAFE)
-
--CXXFLAGS ?= -O3 -g -funroll-loops -D_FORTIFY_SOURCE=2
-+CXXFLAGS ?= -D_FORTIFY_SOURCE=2
- CXXEFLAGS := $(CXXFLAGS) -Wall -std=c++11
-
- CC ?= gcc
---- a/GNUmakefile.llvm
-+++ b/GNUmakefile.llvm
-@@ -237,7 +237,7 @@ else
- AFL_CLANG_DEBUG_PREFIX =
- endif
-
--CFLAGS ?= -O3 -funroll-loops -fPIC -D_FORTIFY_SOURCE=2
-+CFLAGS ?= -fPIC -D_FORTIFY_SOURCE=2
- CFLAGS_SAFE := -Wall -g -Wno-cast-qual -Wno-variadic-macros -Wno-pointer-sign -I ./include/ -I ./instrumentation/ \
- -DAFL_PATH=\"$(HELPER_PATH)\" -DBIN_PATH=\"$(BIN_PATH)\" \
- -DLLVM_BINDIR=\"$(LLVM_BINDIR)\" -DVERSION=\"$(VERSION)\" \
-@@ -254,7 +254,7 @@ ifdef AFL_TRACE_PC
- $(info Compile option AFL_TRACE_PC is deprecated, just set AFL_LLVM_INSTRUMENT=PCGUARD to activate when compiling targets )
- endif
-
--CXXFLAGS ?= -O3 -funroll-loops -fPIC -D_FORTIFY_SOURCE=2
-+CXXFLAGS ?= -fPIC -D_FORTIFY_SOURCE=2
- override CXXFLAGS += -Wall -g -I ./include/ \
- -DVERSION=\"$(VERSION)\" -Wno-variadic-macros \
- -DLLVM_MINOR=$(LLVM_MINOR) -DLLVM_MAJOR=$(LLVM_MAJOR)
-@@ -434,20 +434,20 @@ afl-llvm-dict2file.so: instrumentation/afl-llvm-dict2file.so.cc instrumentation/
-
- .PHONY: document
- document:
-- $(CLANG_BIN) -D_AFL_DOCUMENT_MUTATIONS $(CFLAGS_SAFE) $(CPPFLAGS) $(CLANG_CFL) -O3 -Wno-unused-result -fPIC -c instrumentation/afl-compiler-rt.o.c -o ./afl-compiler-rt.o
-- @$(CLANG_BIN) -D_AFL_DOCUMENT_MUTATIONS $(CFLAGS_SAFE) $(CPPFLAGS) $(CLANG_CFL) -O3 -Wno-unused-result -m32 -fPIC -c instrumentation/afl-compiler-rt.o.c -o ./afl-compiler-rt-32.o 2>/dev/null; if [ "$$?" = "0" ]; then echo "success!"; else echo "failed (that's fine)"; fi
-- @$(CLANG_BIN) -D_AFL_DOCUMENT_MUTATIONS $(CFLAGS_SAFE) $(CPPFLAGS) $(CLANG_CFL) -O3 -Wno-unused-result -m64 -fPIC -c instrumentation/afl-compiler-rt.o.c -o ./afl-compiler-rt-64.o 2>/dev/null; if [ "$$?" = "0" ]; then echo "success!"; else echo "failed (that's fine)"; fi
-+ $(CLANG_BIN) -D_AFL_DOCUMENT_MUTATIONS $(CFLAGS_SAFE) $(CPPFLAGS) $(CLANG_CFL) -Wno-unused-result -fPIC -c instrumentation/afl-compiler-rt.o.c -o ./afl-compiler-rt.o
-+ @$(CLANG_BIN) -D_AFL_DOCUMENT_MUTATIONS $(CFLAGS_SAFE) $(CPPFLAGS) $(CLANG_CFL) -Wno-unused-result -m32 -fPIC -c instrumentation/afl-compiler-rt.o.c -o ./afl-compiler-rt-32.o 2>/dev/null; if [ "$$?" = "0" ]; then echo "success!"; else echo "failed (that's fine)"; fi
-+ @$(CLANG_BIN) -D_AFL_DOCUMENT_MUTATIONS $(CFLAGS_SAFE) $(CPPFLAGS) $(CLANG_CFL) -Wno-unused-result -m64 -fPIC -c instrumentation/afl-compiler-rt.o.c -o ./afl-compiler-rt-64.o 2>/dev/null; if [ "$$?" = "0" ]; then echo "success!"; else echo "failed (that's fine)"; fi
-
- ./afl-compiler-rt.o: instrumentation/afl-compiler-rt.o.c
-- $(CC) $(CLANG_CFL) $(CFLAGS_SAFE) $(CPPFLAGS) -O3 -Wno-unused-result -fPIC -c $< -o $@
-+ $(CC) $(CLANG_CFL) $(CFLAGS_SAFE) $(CPPFLAGS) -Wno-unused-result -fPIC -c $< -o $@
-
- ./afl-compiler-rt-32.o: instrumentation/afl-compiler-rt.o.c
- @printf "[*] Building 32-bit variant of the runtime (-m32)... "
-- @$(CC) $(CLANG_CFL) $(CFLAGS_SAFE) $(CPPFLAGS) -O3 -Wno-unused-result -m32 -fPIC -c $< -o $@ 2>/dev/null; if [ "$$?" = "0" ]; then echo "success!"; ln -sf afl-compiler-rt-32.o afl-llvm-rt-32.o; else echo "failed (that's fine)"; fi
-+ @$(CC) $(CLANG_CFL) $(CFLAGS_SAFE) $(CPPFLAGS) -Wno-unused-result -m32 -fPIC -c $< -o $@ 2>/dev/null; if [ "$$?" = "0" ]; then echo "success!"; ln -sf afl-compiler-rt-32.o afl-llvm-rt-32.o; else echo "failed (that's fine)"; fi
-
- ./afl-compiler-rt-64.o: instrumentation/afl-compiler-rt.o.c
- @printf "[*] Building 64-bit variant of the runtime (-m64)... "
-- @$(CC) $(CLANG_CFL) $(CFLAGS_SAFE) $(CPPFLAGS) -O3 -Wno-unused-result -m64 -fPIC -c $< -o $@ 2>/dev/null; if [ "$$?" = "0" ]; then echo "success!"; ln -sf afl-compiler-rt-64.o afl-llvm-rt-64.o; else echo "failed (that's fine)"; fi
-+ @$(CC) $(CLANG_CFL) $(CFLAGS_SAFE) $(CPPFLAGS) -Wno-unused-result -m64 -fPIC -c $< -o $@ 2>/dev/null; if [ "$$?" = "0" ]; then echo "success!"; ln -sf afl-compiler-rt-64.o afl-llvm-rt-64.o; else echo "failed (that's fine)"; fi
-
- .PHONY: test_build
- test_build: $(PROGS)
---- a/unicorn_mode/samples/c/Makefile
-+++ b/unicorn_mode/samples/c/Makefile
-@@ -35,7 +35,7 @@ clean:
- rm -rf *.o harness harness-debug
-
- harness.o: harness.c ../../unicornafl/include/unicorn/*.h
-- ${MYCC} ${CFLAGS} -O3 -c harness.c
-+ ${MYCC} ${CFLAGS} -c harness.c
-
- harness-debug.o: harness.c ../../unicornafl/include/unicorn/*.h
- ${MYCC} ${CFLAGS} -g -c harness.c -o $@
---- a/unicorn_mode/samples/persistent/Makefile
-+++ b/unicorn_mode/samples/persistent/Makefile
-@@ -35,7 +35,7 @@ clean:
- rm -rf *.o harness harness-debug
-
- harness.o: harness.c ../../unicornafl/include/unicorn/*.h
-- ${MYCC} ${CFLAGS} -O3 -c harness.c
-+ ${MYCC} ${CFLAGS} -c harness.c
-
- harness-debug.o: harness.c ../../unicornafl/include/unicorn/*.h
- ${MYCC} ${CFLAGS} -DAFL_DEBUG=1 -g -c harness.c -o $@
---- a/utils/afl_untracer/Makefile
-+++ b/utils/afl_untracer/Makefile
-@@ -1,7 +1,7 @@
- ifdef DEBUG
- OPT=-O0
- else
-- OPT=-O3
-+ OPT?=-O2
- endif
-
- all: afl-untracer libtestinstr.so
---- a/utils/custom_mutators/Makefile
-+++ b/utils/custom_mutators/Makefile
-@@ -1,7 +1,7 @@
- all: libexamplemutator.so
-
- libexamplemutator.so:
-- $(CC) $(CFLAGS) -D_FORTIFY_SOURCE=2 -O3 -fPIC -shared -g -I ../../include example.c -o libexamplemutator.so
-+ $(CC) $(CFLAGS) -D_FORTIFY_SOURCE=2 -fPIC -shared -g -I ../../include example.c -o libexamplemutator.so
-
- clean:
- rm -rf libexamplemutator.so
diff --git a/app-forensics/aflplusplus/files/aflplusplus-3.14c-no-ignore-errors-makefile.patch b/app-forensics/aflplusplus/files/aflplusplus-3.14c-no-ignore-errors-makefile.patch
new file mode 100644
index 00000000000..0b029396390
--- /dev/null
+++ b/app-forensics/aflplusplus/files/aflplusplus-3.14c-no-ignore-errors-makefile.patch
@@ -0,0 +1,62 @@
+https://bugs.gentoo.org/800941
+
+--- a/GNUmakefile
++++ b/GNUmakefile
+@@ -310,12 +310,12 @@ all: test_x86 test_shm test_python ready $(PROGS) afl-as llvm gcc_plugin test_bu
+
+ .PHONY: llvm
+ llvm:
+- -$(MAKE) -j -f GNUmakefile.llvm
++ $(MAKE) -j -f GNUmakefile.llvm
+ @test -e afl-cc || { echo "[-] Compiling afl-cc failed. You seem not to have a working compiler." ; exit 1; }
+
+ .PHONY: gcc_plugin
+ gcc_plugin:
+- -$(MAKE) -f GNUmakefile.gcc_plugin
++ $(MAKE) -f GNUmakefile.gcc_plugin
+
+ .PHONY: man
+ man: $(MANPAGES)
+@@ -562,8 +562,8 @@ all_done: test_build
+ .PHONY: clean
+ clean:
+ rm -f $(PROGS) libradamsa.so afl-fuzz-document afl-as as afl-g++ afl-clang afl-clang++ *.o src/*.o *~ a.out core core.[1-9][0-9]* *.stackdump .test .test1 .test2 test-instr .test-instr0 .test-instr1 afl-qemu-trace afl-gcc-fast afl-gcc-pass.so afl-g++-fast ld *.so *.8 test/unittests/*.o test/unittests/unit_maybe_alloc test/unittests/preallocable .afl-* afl-gcc afl-g++ afl-clang afl-clang++ test/unittests/unit_hash test/unittests/unit_rand
+- -$(MAKE) -f GNUmakefile.llvm clean
+- -$(MAKE) -f GNUmakefile.gcc_plugin clean
++ $(MAKE) -f GNUmakefile.llvm clean
++ $(MAKE) -f GNUmakefile.gcc_plugin clean
+ $(MAKE) -C utils/libdislocator clean
+ $(MAKE) -C utils/libtokencap clean
+ $(MAKE) -C utils/aflpp_driver clean
+@@ -618,8 +618,8 @@ binary-only: test_shm test_python ready $(PROGS)
+
+ .PHONY: source-only
+ source-only: all
+- -$(MAKE) -j -f GNUmakefile.llvm
+- -$(MAKE) -f GNUmakefile.gcc_plugin
++ $(MAKE) -j -f GNUmakefile.llvm
++ $(MAKE) -f GNUmakefile.gcc_plugin
+ $(MAKE) -C utils/libdislocator
+ $(MAKE) -C utils/libtokencap
+
+@@ -661,8 +661,8 @@ install: all $(MANPAGES)
+ @if [ -f utils/afl_network_proxy/afl-network-server ]; then $(MAKE) -C utils/afl_network_proxy install; fi
+ @if [ -f utils/aflpp_driver/libAFLDriver.a ]; then set -e; install -m 644 utils/aflpp_driver/libAFLDriver.a $${DESTDIR}$(HELPER_PATH); fi
+ @if [ -f utils/aflpp_driver/libAFLQemuDriver.a ]; then set -e; install -m 644 utils/aflpp_driver/libAFLQemuDriver.a $${DESTDIR}$(HELPER_PATH); fi
+- -$(MAKE) -f GNUmakefile.llvm install
+- -$(MAKE) -f GNUmakefile.gcc_plugin install
++ $(MAKE) -f GNUmakefile.llvm install
++ $(MAKE) -f GNUmakefile.gcc_plugin install
+ ln -sf afl-cc $${DESTDIR}$(BIN_PATH)/afl-gcc
+ ln -sf afl-cc $${DESTDIR}$(BIN_PATH)/afl-g++
+ ln -sf afl-cc $${DESTDIR}$(BIN_PATH)/afl-clang
+--- a/GNUmakefile.llvm
++++ b/GNUmakefile.llvm
+@@ -460,6 +460,7 @@ document:
+ test_build: $(PROGS)
+ @echo "[*] Testing the CC wrapper and instrumentation output..."
+ unset AFL_USE_ASAN AFL_USE_MSAN AFL_INST_RATIO; ASAN_OPTIONS=detect_leaks=0 AFL_QUIET=1 AFL_PATH=. AFL_LLVM_LAF_ALL=1 ./afl-cc $(CFLAGS) $(CPPFLAGS) ./test-instr.c -o test-instr $(LDFLAGS)
++ @test -e test-instr || { echo "[-] Testing CC wrapper failed. You seem not to have a working compiler." ; exit 1; }
+ ASAN_OPTIONS=detect_leaks=0 ./afl-showmap -m none -q -o .test-instr0 ./test-instr < /dev/null
+ echo 1 | ASAN_OPTIONS=detect_leaks=0 ./afl-showmap -m none -q -o .test-instr1 ./test-instr
+ @rm -f test-instr
diff --git a/app-forensics/unhide/Manifest b/app-forensics/unhide/Manifest
index 98dbf14799b..da2c67dc11f 100644
--- a/app-forensics/unhide/Manifest
+++ b/app-forensics/unhide/Manifest
@@ -1 +1 @@
-DIST unhide-20130526.tgz 59625 BLAKE2B 90a76f7e6203e00ce43748c00887bb5e34dd866420760e9564af4d20ca6ce0d98961b6c2a7f9ff97769bc2354774b63631f7a2ae17be150a2acff58d494cb84e SHA512 0fbe4d8b36171906f81fa35b1bbf91c079920a31244e89a9dad3570d8e2832d2db2f7bd8f7f33aaa66d08e6be0a19c5fb0b8aa418f09154b97279c9279af1223
+DIST unhide-20210124.tgz 75982 BLAKE2B 2c7a016830820d40d086d72db220e3b56e4453483b471e0803ce0170deee8327f514254ed1039fe4862685d665b38c8c5461ac870caf3fe200f7cebac19955f1 SHA512 60c5bf73fcb8af9ae0414c5e3397d1f9d6b12ed2da36fd1924dea4e43044d7f72a31c6fdf38e6615bd8465fbf839a34f588f9b795d1fe593c17fcc2f2da21e79
diff --git a/app-forensics/unhide/unhide-20130526.ebuild b/app-forensics/unhide/unhide-20210124.ebuild
index dc6d9605f83..1c0bcc068a3 100644
--- a/app-forensics/unhide/unhide-20130526.ebuild
+++ b/app-forensics/unhide/unhide-20210124.ebuild
@@ -1,13 +1,13 @@
-# Copyright 1999-2017 Gentoo Foundation
+# Copyright 1999-2021 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
-EAPI="5"
+EAPI="8"
inherit toolchain-funcs
DESCRIPTION="A forensic tool to find hidden processes and TCP/UDP ports by rootkits/LKMs"
HOMEPAGE="http://www.unhide-forensics.info"
-SRC_URI="mirror://sourceforge/${PN}/files/${P}.tgz"
+SRC_URI="https://github.com/YJesus/Unhide/archive/refs/tags/v${PV}.tar.gz -> ${P}.tgz"
LICENSE="GPL-3"
SLOT="0"
@@ -17,6 +17,8 @@ IUSE=""
DEPEND=""
RDEPEND="${DEPEND}"
+S="${WORKDIR}/Unhide-${PV}"
+
src_compile() {
$(tc-getCC) ${CFLAGS} ${LDFLAGS} --static -pthread \
unhide-linux*.c unhide-output.c -o unhide
@@ -27,8 +29,7 @@ src_compile() {
src_install() {
dobin ${PN}
dobin ${PN}-tcp
- dodoc changelog README.txt TODO
- dodoc changelog README.txt LEEME.txt LISEZ-MOI.TXT NEWS TODO
+ dodoc changelog README.txt TODO LEEME.txt LISEZ-MOI.TXT NEWS TODO
doman man/unhide.8 man/unhide-tcp.8
has "fr" ${LINGUAS} && newman man/fr/unhide.8 unhide.fr.8
has "es" ${LINGUAS} && newman man/es/unhide.8 unhide.es.8